This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500824 - Possible missing runtime dependencies for `ecryptfs-setup-swap'
Possible missing runtime dependencies for `ecryptfs-setup-swap'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 08:36 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-05-14 08:36:30 EDT
Description of problem:

/usr/bin/ecryptfs-setup-swap utilizes 

* /sbin/cryptsetup (cryptsetup-luks pkg) via

    # Ensure that cryptsetup is available
    [ -x /sbin/cryptsetup ] || error "Please install 'cryptsetup'"

(a little bit strange is that `cryptsetup' is never called afterwards)

* /sbin/dmsetup (device-mapper pkg) via

    # Check if this this swap space is already setup for encryption
    if /sbin/dmsetup table "$swap" | grep -qs " crypt " 2>/dev/null; then
            info "[$swap] already appears to be encrypted."
            exit 0
    else
    [...]

but does not depend on them (= rpm dependency). It might be a good idea to have explicit dependency in spec file.

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5
Comment 1 Michal Hlavinka 2009-05-18 05:33:26 EDT
yum remove device-mapper #contains dmsetup
....
-> dependency would remove coreutils

but this can be easily added to ecryptfs-utils

* /sbin/cryptsetup (cryptsetup-luks pkg) via
(a little bit strange is that `cryptsetup' is never called afterwards)

it's not called but it's used later with dmsetup if you want to encrypt device

requiring cryptsetup seem little bit odd from my POV, but since it'd be "always" present (hal requires cryptsetup), it makes no difference.
Comment 2 Michal Hlavinka 2009-05-18 10:33:10 EDT
only minor change in spec file
Comment 7 errata-xmlrpc 2009-09-02 05:56:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.